<div nz-row nzGutter="24">
  <div nz-col nzSpan="12">
    <app-currencies entityType="Country" [entityId]="countryId"></app-currencies>
  </div>
  <div nz-col nzSpan="12">
    <app-country-economy-trade-agreements [countryId]="countryId"></app-country-economy-trade-agreements>
  </div>
  <div nz-col nzSpan="12">
    <app-country-economy-trade-embargos [countryId]="countryId"></app-country-economy-trade-embargos>
  </div>
</div>

<nz-divider></nz-divider>
<h3>{{ "Economy.Market.Taxes.Taxes" | translate }}</h3>
<nz-tabset nzCentered="true">
  <nz-tab nzTitle="{{ 'Economy.Items' | translate }}" (nzClick)="showTaxes('Item')"> </nz-tab>
  <nz-tab nzTitle="{{ 'Economy.Resource.Title' | translate }}" (nzClick)="showTaxes('Resource')"> </nz-tab>
  <nz-tab nzTitle="{{ 'Economy.Construction.Construction' | translate }}" (nzClick)="showTaxes('Construction')"></nz-tab>
</nz-tabset>

<nz-table #taxesTable [nzData]="filteredTaxes" [nzLoading]="isLoading" nzSize="small" [nzPageSize]="20"
  nzShowPagination="false">
  <thead>
    <tr>
      <th>{{ "Economy.Market.Taxes.Product" | translate }}</th>
      <th>{{ "Economy.Market.Taxes.VAT" | translate }}</th>
      <th>{{ "Economy.Market.Taxes.IncomeTax" | translate }}</th>
      <th>{{ "Economy.Market.Taxes.ImportTax" | translate }}</th>
      <th>{{ "Economy.Market.Taxes.ExportTax" | translate }}</th>
    </tr>
  </thead>
  <tbody>
    <tr *ngFor="let data of taxesTable.data">
      <td>
        <nz-avatar [nzShape]="'square'" [nzSize]="'large'" [nzIcon]="'user'" [nzSrc]="data.product.avatar"></nz-avatar>
        {{ "Economy." + data.product.name | translate }}
      </td>
      <td>{{ data.vat }}</td>
      <td>{{ data.incomeTax }}</td>
      <td>{{ data.importTax }}</td>
      <td>{{ data.exportTax }}</td>
    </tr>
  </tbody>
</nz-table>
